Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db
Interface AgentFactory

public interface AgentFactory

Interface of AgentFactory. Implementation of this class will support the creation of different StatementAgent instances.

Method Summary
`StatementAgent` | `getInstance(java.lang.Class clsAgent)` Gets a statement agent instance.
`StatementAgent` | `getInstance(java.lang.Class clsAgent, int iScroll, int iConcur)` Gets a StatementAgent instance with the specified resultset and concurrency types.
`StatementAgent` | `lookup(java.lang.String sName)` Looks up a StatementAgent instance using its class name.
`void` | `release()` Releases agent factory resources.

Method Detail

### getInstance

    public StatementAgent getInstance(java.lang.Class clsAgent)
                               throws java.lang.Exception

  Gets a statement agent instance.

  Parameters:
    `clsAgent` - class of StatementAgent
  Returns:
    a StatementAgent instance
  Throws:
    `java.lang.Exception` - any exception related to instance creation

### getInstance

    public StatementAgent getInstance(java.lang.Class clsAgent,
                                      int iScroll,
                                      int iConcur)
                               throws java.lang.Exception

  Gets a StatementAgent instance with the specified resultset and concurrency types.

  Parameters:
    `clsAgent` - class of StatementAgent
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE.
  Returns:
    a StatementAgent instance
  Throws:
    `java.lang.Exception` - any exception related to instance creation

### lookup

    public StatementAgent lookup(java.lang.String sName)

  Looks up a StatementAgent instance using its class name.

  Parameters:
    `sName` - a StatementAgent name.
  Throws:
    None.
  Returns:
    a StatementAgent instance.

### release

    public void release()

  Releases agent factory resources.

Overview | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 by SeeBeyond Technology Corporation. All Rights Reserved.